For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The CreditNote object
          • GET/credit-notes
          • POST/credit-notes
          • GET/credit-notes/{id}
          • PATCH/credit-notes/{id}
          • POST/credit-notes/{id}/application
          • GET/credit-notes/meta/patch/{id}
          • GET/credit-notes/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsCredit Notes

/credit-notes/{id}

GET
/accounting/v1/credit-notes/:id
GET
/api/accounting/v1/credit-notes/:id
$curl -G https://api.merge.dev/api/accounting/v1/credit-notes/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=payments,applied_payments,line_items,tracking_categories,contact,company,accounting_period \
> --data-urlencode remote_fields=status,type \
> --data-urlencode show_enum_origins=status,type
200Retrieved
1{
2 "id": "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
3 "remote_id": "123877",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "transaction_date": "2020-03-31T00:00:00Z",
7 "status": "PAID",
8 "number": "CN-29",
9 "contact": "c6c7b870-bb4d-489a-921e-2f0ee4192ff9",
10 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
11 "exchange_rate": "2.9",
12 "total_amount": 50,
13 "remaining_credit": 20,
14 "inclusive_of_tax": true,
15 "line_items": [
16 {
17 "remote_id": "121222",
18 "item": "0e3fd929-436c-4fd4-a48b-0c61f68d6178",
19 "name": "Basic Monthly",
20 "description": "prorated amount for items",
21 "quantity": "1",
22 "memo": "privNote",
23 "unit_price": "5.0",
24 "tax_rate": "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
25 "total_line_amount": "5.0",
26 "tracking_categories": [
27 "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
28 "9b840d2-686a-465a-8a8e-7b028498f8e4",
29 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
30 ],
31 "account": "8d9fd929-436c-4fd4-a48b-0c61f68d6178",
32 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
33 "contact": "908934-49j9-093f-0989-908923908",
34 "project": "22e65a5d-2df5-4e6e-884a-e538d0339000",
35 "remote_was_deleted": true
36 }
37 ],
38 "tracking_categories": [
39 "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
40 "9b840d2-686a-465a-8a8e-7b028498f8e4",
41 "a47e11b6-c73b-4a0c-be31-130fc48177fa"
42 ],
43 "currency": "USD",
44 "remote_created_at": "2020-03-31T00:00:00Z",
45 "remote_updated_at": "2020-03-31T00:00:00Z",
46 "payments": [
47 "b26fd49a-cbae-470a-a8f8-bcbc119e0390"
48 ],
49 "applied_payments": [
50 "a9a94a75-19c1-41fe-90d8-d9ba959c38e5"
51 ],
52 "accounting_period": "b38c59b0-a9d7-4740-b1ee-5436c6751e3d",
53 "applied_to_lines": [
54 {
55 "invoice": "5b3c1341-a20f-4e51-b72c-f3830a16c97b",
56 "applied_date": "2020-03-31T00:00:00Z",
57 "applied_amount": "2.9"
58 }
59 ],
60 "remote_was_deleted": true,
61 "field_mappings": {
62 "organization_defined_targets": {
63 "custom_key": "custom_value"
64 },
65 "linked_account_defined_targets": {
66 "custom_key": "custom_value"
67 }
68 },
69 "remote_data": [
70 {
71 "path": "/actions",
72 "data": null
73 }
74 ]
75}

Returns a CreditNote object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/credit-notes

Next

/credit-notes/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
transaction_datedatetime or null
The credit note's transaction date.
statusenum or null

The credit note’s status.

  • SUBMITTED - SUBMITTED
  • AUTHORIZED - AUTHORIZED
  • PAID - PAID
Allowed values:
numberstring or null
The credit note's number.
contactstring or nullformat: "uuid"
The credit note's contact.
companystring or nullformat: "uuid"
The company the credit note belongs to.
exchange_ratestring or nullformat: "decimal"
The credit note's exchange rate.
total_amountdouble or null
The credit note's total amount.
remaining_creditdouble or null
The amount of value remaining in the credit note that the customer can use.
inclusive_of_taxboolean or null

If the transaction is inclusive or exclusive of tax. True if inclusive, False if exclusive.

line_itemslist of objectsRead-only
tracking_categorieslist of strings
currencyenum or null
The credit note's currency. The currency code in ISO 4217 format.
remote_created_atdatetime or null
When the third party's credit note was created.
remote_updated_atdatetime or null
When the third party's credit note was updated.
paymentslist of strings

Array of Payment object IDs

applied_paymentslist of strings
A list of the Payment Applied to Lines common models related to a given Invoice, Credit Note, or Journal Entry.
accounting_periodstring or nullformat: "uuid"
The accounting period that the CreditNote was generated in.
applied_to_lineslist of objects
A list of the CreditNote Applied to Lines common models related to a given Credit Note
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more